KDE 4.9 PyKDE API Reference

- KDE's Python API

# CSSFontFaceRule Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSRule
Namespace: DOM

## Detailed Description

The CSSFontFaceRule interface represents a <a href="http://www.w3.org/TR/REC-CSS2/fonts.html#font-descriptions"> \@font-face rule in a CSS style sheet. The \@font-face rule is used to hold a set of font descriptions.

## Methods

| __init__ (self)
| __init__ (self, DOM.CSSFontFaceRule other)
| __init__ (self, DOM.CSSRule other)
DOM.CSSStyleDeclaration | style (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSFontFaceRule | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

DOM.CSSStyleDeclaration style | ( |  | self ) |

The declaration-block of this rule.